> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Shift-swap board: requests + KPIs + open shifts

> Shift-swap board: requests + KPIs + open shifts



## OpenAPI

````yaml /api-reference/openapi.json get /api/swaps
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/swaps:
    get:
      tags:
        - Swaps
      summary: 'Shift-swap board: requests + KPIs + open shifts'
      description: 'Shift-swap board: requests + KPIs + open shifts'
      operationId: getApiSwaps
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        orgId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        status:
                          type: string
                          enum:
                            - Pending
                            - Approved
                            - Rejected
                        from:
                          type: object
                          properties:
                            employeeId:
                              anyOf:
                                - type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                - type: 'null'
                            name:
                              type: string
                            code:
                              type: string
                            shiftTemplateId:
                              anyOf:
                                - type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                - type: 'null'
                            category:
                              anyOf:
                                - type: string
                                  enum:
                                    - G
                                    - M
                                    - E
                                    - 'N'
                                    - F
                                    - FL
                                - type: 'null'
                            date:
                              type: string
                            dayLabel:
                              type: string
                            hoursLabel:
                              type: string
                            isOpen:
                              type: boolean
                          required:
                            - employeeId
                            - name
                            - code
                            - shiftTemplateId
                            - category
                            - date
                            - dayLabel
                            - hoursLabel
                            - isOpen
                        to:
                          type: object
                          properties:
                            employeeId:
                              anyOf:
                                - type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                - type: 'null'
                            name:
                              type: string
                            code:
                              type: string
                            shiftTemplateId:
                              anyOf:
                                - type: string
                                  format: uuid
                                  pattern: >-
                                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                                - type: 'null'
                            category:
                              anyOf:
                                - type: string
                                  enum:
                                    - G
                                    - M
                                    - E
                                    - 'N'
                                    - F
                                    - FL
                                - type: 'null'
                            date:
                              type: string
                            dayLabel:
                              type: string
                            hoursLabel:
                              type: string
                            isOpen:
                              type: boolean
                          required:
                            - employeeId
                            - name
                            - code
                            - shiftTemplateId
                            - category
                            - date
                            - dayLabel
                            - hoursLabel
                            - isOpen
                        reason:
                          anyOf:
                            - type: string
                            - type: 'null'
                        isOpenShift:
                          type: boolean
                        autoApproveEligible:
                          type: boolean
                        requiresHrApproval:
                          type: boolean
                        compatibility:
                          type: object
                          properties:
                            ok:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            warn:
                              type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  ok:
                                    type: boolean
                                required:
                                  - label
                                  - ok
                          required:
                            - ok
                            - warn
                            - items
                        decisionNote:
                          anyOf:
                            - type: string
                            - type: 'null'
                        createdAt:
                          type: string
                        ageLabel:
                          type: string
                      required:
                        - id
                        - orgId
                        - status
                        - from
                        - to
                        - reason
                        - isOpenShift
                        - autoApproveEligible
                        - requiresHrApproval
                        - compatibility
                        - decisionNote
                        - createdAt
                        - ageLabel
                  kpis:
                    type: object
                    properties:
                      pending:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      approvedThisWeek:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      openShifts:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      autoApprovedPct:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      agedOver24h:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                    required:
                      - pending
                      - approvedThisWeek
                      - openShifts
                      - autoApprovedPct
                      - agedOver24h
                  openShifts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        category:
                          anyOf:
                            - type: string
                              enum:
                                - G
                                - M
                                - E
                                - 'N'
                                - F
                                - FL
                            - type: 'null'
                        dayLabel:
                          type: string
                        hoursLabel:
                          type: string
                        team:
                          type: string
                        interested:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - id
                        - category
                        - dayLabel
                        - hoursLabel
                        - team
                        - interested
                  rules:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        key:
                          type: string
                        label:
                          type: string
                        action:
                          type: string
                          enum:
                            - autoApprove
                            - managerReview
                            - hrCoApprove
                        enabled:
                          type: boolean
                        order:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - id
                        - key
                        - label
                        - action
                        - enabled
                        - order
                required:
                  - items
                  - kpis
                  - openShifts
                  - rules
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````